Bug 188 - smbpasswd/ldap user creation failure
smbpasswd/ldap user creation failure
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: User/Group Accounts
3.0.0preX
All Linux
: P2 normal
: none
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-25 04:04 UTC by Thomas Otto
Modified: 2005-11-14 09:25 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Otto 2003-06-25 04:04:18 UTC
if existing ldap/unix users have their DN like cn=Marius
Muster,ou=People,dc=example,dc=org then the smbpasswd program creates an second
entry with a DN like uid=muster,ou=People,dc=example,dc=org instead of extending
the original one. 
unix passwd sync is broken.
Comment 1 Andrew Bartlett 2003-07-05 07:31:53 UTC
Samba will match the user based either on their username (uid) or now on thier
'sambaSid'.

I will need much more detail as to what your existing LDAP entires contain that
should clue us in that we should merge onto them.  What are you using as your
unix userid in this directory?

Comment 2 Gerald (Jerry) Carter 2003-08-25 09:13:07 UTC
Tested.  This works now.  Marking as fixed.
Comment 3 Gerald (Jerry) Carter 2005-02-07 08:39:16 UTC
originally reported against 3.0.0beta1.  CLeaning out 
non-production release versions.
Comment 4 Gerald (Jerry) Carter 2005-08-24 10:16:31 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 5 Gerald (Jerry) Carter 2005-11-14 09:25:48 UTC
database cleanup